<?xml version="1.0" encoding="ASCII"?>
<!--
    Copyright (c) 2007, 2019 IBM Corporation and others.
    This program and the accompanying materials
    are made available under the terms of the Eclipse Public License 2.0
    which accompanies this distribution, and is available at
    https://www.eclipse.org/legal/epl-2.0/

    SPDX-License-Identifier: EPL-2.0

    Contributors:
        IBM Corporation - initial API and implementation
 -->

<model:component xmlns:model="http://eclipse.org/wtp/releng/tools/component-model" name="gef">
  <model:plugin fragment="false" id="org.eclipse.gef"/>
  <model:plugin fragment="false" id="org.eclipse.draw2d"/>
  <model:package name="org.eclipse.gef.ui.actions"/>
  <model:package name="org.eclipse.gef.editpolicies"/>
  <model:package name="org.eclipse.gef"/>
  <model:package name="org.eclipse.gef.tools"/>
  <model:package name="org.eclipse.gef.ui.palette"/>
  <model:package name="org.eclipse.gef.ui.parts"/>
  <model:package name="org.eclipse.gef.ui.palette.customize"/>
  <model:package name="org.eclipse.gef.handles"/>
  <model:package name="org.eclipse.gef.requests"/>
  <model:package name="org.eclipse.gef.editparts"/>
  <model:package name="org.eclipse.gef.palette"/>
  <model:package name="org.eclipse.gef.ui.stackview"/>
  <model:package name="org.eclipse.gef.ui.rulers"/>
  <model:package name="org.eclipse.gef.dnd"/>
  <model:package name="org.eclipse.gef.util"/>
  <model:package name="org.eclipse.gef.commands"/>
  <model:package name="org.eclipse.gef.rulers"/>
  <model:package name="org.eclipse.gef.print"/>
  <model:package name="org.eclipse.gef.ui.views.palette"/>
  <model:package name="org.eclipse.gef.ui.console"/>
  <model:package name="org.eclipse.draw2d"/>
  <model:package name="org.eclipse.draw2d.graph"/>
  <model:package name="org.eclipse.draw2d.text"/>
  <model:package name="org.eclipse.draw2d.widgets"/>
  <model:package name="org.eclipse.draw2d.geometry"/>
  <model:package name="org.eclipse.draw2d.parts"/>
  <model:component-depends unrestricted="true"/>
</model:component>
